Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class SampleInfo

    java.lang.Object
      |
      +--quicktime.std.movies.TimeInfo
            |
            +--quicktime.std.movies.media.SampleInfo

Direct Known Subclasses:
  MediaSample

public class SampleInfo
extends TimeInfo

The SampleInfo class contains information about the reference information of a media sample.

Field Summary
`SampleDescription` | `description` The media sample's sample description.
`int` | `descriptionIndex` The media sample's sample description index.
`int` | `flags` The flags for the media samples.
`int` | `numberOfSamples` The number of samples.
`int` | `offset` The media sample's offset.
`int` | `size` The media sample's data size.

Fields inherited from class quicktime.std.movies.TimeInfo
`duration, time`

Method Summary
`java.lang.String` | `toString()` Returns a string representation of this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### offset

    public int offset

  The media sample's offset.

### size

    public int size

  The media sample's data size.

### numberOfSamples

    public int numberOfSamples

  The number of samples.

### description

    public SampleDescription description

  The media sample's sample description. This will generally be a subclass of SampleDescription according to the type of media the sample deals with. This may also be null if the media sample does not require sample description information.

### flags

    public int flags

  The flags for the media samples.

### descriptionIndex

    public int descriptionIndex

  The media sample's sample description index.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this class.
  Overrides:
    `toString` in class `TimeInfo`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD